%define name XFrisk
%define version 1.00
%define release 4mdk

Name: %{name}
Summary: Risk game
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Games/Strategy
Source: %{name}-%{version}.tar.bz2
URL: http://metalab.unc.edu/pub/X11/contrib/games/multiplayer/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The rules of Frisk are identical to the rules of Parker Brother's Risk
game.  The style of the game defaults to the server selecting the
initial allocation of countries, and card exchanges being performed on
a static basic (i.e. 3 different cards = 10 armies, 3 cavalry = 8
armies, 3 infantry = 6 armies, and 3 artillery = 4 armies).  In this
version, this is the only style of game supported.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" LIBDIR=%{_libdir}/games/risk

%install
mkdir -p $RPM_BUILD_ROOT%_prefix

make DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}/games/risk install
install -m 755 -s aiColson aiConway aiDummy $RPM_BUILD_ROOT%{_libdir}/games/risk

cd $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT/usr/X11R6/bin/friskserver $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ README.NEW TODO
/usr/X11R6/bin/xfrisk
/usr/X11R6/lib/X11/app-defaults/*
%{_bindir}/*
%dir %{_libdir}/games/risk
%{_libdir}/games/risk/*

%changelog
* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.00-4mdk
- rebuild

* Mon Jul 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.00-3mdk
- macros

* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.00-2mdk
- fix group

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for mandrake
